<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
<meta charset="utf-8" />
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no" />
<meta name="description" content="" />
<meta name="author" content="" />
<title>회원가입</title>
<!-- Favicon-->
<link rel="icon" type="image/x-icon" th:href="@{/assets/favicon.ico}" />
<!-- Core theme CSS (includes Bootstrap)-->
<link th:href="@{/css/styles.css}" rel="stylesheet" />
<!-- Bootstrap core JS-->
<script
	src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<script th:src="@{/js/scripts.js}"></script>
<script src="https://code.jquery.com/jquery-3.4.1.js"></script>

<style>
body {
	background: #efefef;
}

.input-div {
	max-width: 680px;
	margin-top: 80px;
	padding: 32px;
	background: #fff;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	-webkit-box-shadow: 0 8px 20px 0 rgba(0, 0, 0, 0.15);
	-moz-box-shadow: 0 8px 20px 0 rgba(0, 0, 0, 0.15);
	box-shadow: 0 8px 20px 0 rgba(0, 0, 0, 0.15)
}
</style>
</head>
<body>
	<div class="row justify-content-center">
		<div class="input-div">
			<h1 class="mt-4">Sign Up</h1>
			<!-- 등록처리 url 수정 -->
			<form th:action="@{/register}" th:method="post">

				<i class="failed" id="idvalidation" hidden="true">아이디가
					중복되었습니다.</i>

				<div style="margin-top:20px;" class="form-group">
					<label>아이디</label>
					<div class="row">
					<div class="col-sm-8">
					<input type="text" class="form-control" name="id" id="id">
					</div>
					<div class="col-sm-4">
					<button type="button" class="btn btn-outline-primary" onclick="idCheck()">중복체크</button>
					</div>
					</div>
				    </div>

				<div class="form-group">
					<label>패스워드</label> <input type="password" class="form-control"
						name="password">
				</div>
				<div class="form-group">
					<label>이름</label> <input type="text" class="form-control"
						name="name">
				</div>
				<!-- 등급 필드 추가 -->
				<div class="form-group">
					<div style="margin-top:15px;" class="form-check form-check-inline">
						<input class="form-check-input" type="radio" id="user" name="role"
							value="ROLE_USER" checked> <label
							class="form-check-label" for="user">일반사용자</label>
					</div>
					<div class="form-check form-check-inline">
						<input class="form-check-input" type="radio" id="admin"
							name="role" value="ROLE_ADMIN"> <label
							class="form-check-label" for="admin">관리자</label>
					</div>
				</div>

				<button style="margin-top:10px;" type="submit" class="btn btn-primary" id="registerBtn" disabled>등록</button>
			</form>
		</div>
	</div>
	<script th:inline="javascript">
			$(document).ready(function(){
			  var msg = [[${msg}]]
			  if(msg != null){
				  alert(msg);
			  }
			});
			
			/* 아이디 중복체크 처리 이벤트*/
			function idCheck(){
				let id = document.getElementById("id"); //html에서 아이디필드 가져오기
    			let idvalidation = document.getElementById("idvalidation"); //html에서 메세지필드 가져오기
    			let registerBtn = document.getElementById("registerBtn"); //html에서 등록버튼 가져오기
    			$.ajax({ //ajax호출하여 아이디체크 request 호출하기
    				url:'/idcheck?id=' + id.value, //idcheck?is=user1
    						type:'GET',
    	    	            success:function(result){ //결과를 화면에 반영하기
    	    	            	let isDuplicate = result.isDuplicate;
    	    	                if(isDuplicate==true){
    	    	                	//중복메세지 보여주고 등록버튼 비활성화
    	    	                	idvalidation.hidden = false;
    	    	                	registerBtn.disabled = true;
    	    	                	
    	    	                }else{
    	    	                	//중복메세지 숨기고 등록버튼 활성화
    	    	                	idvalidation.hidden = true;
    	    	                	registerBtn.disabled = false;
    	    	                }
    	    	            },
    	    	            error:function(e){
    	    	            	console.log('에러발생');
    	    	            }
    			});
			}
		</script>
</body>
</html>